dspluginhelperd(8)

NAME
dspluginhelperd - support daemon for legacy DirectoryService plugins

SYNOPSIS
dspluginhelperd [-v]

DESCRIPTION
DirectoryService has been replaced by opendirectoryd(8). dspluginhelperd provides support for 3rd party DirectoryService plugins.

More information can be accessed from the Darwin Open Directory Page: http://developer.apple.com/darwin/projects/opendirectory/

OPTIONS

The options are as follows:

-v  Display the release version.

DIAGNOSTICS
See odutil(1) for information on enabling debug logging and various other options introspection of opendirectoryd.

ERRORS
Error codes are available using dserr(1) or from framework headers <DirectoryService/DirServiceTypes.h>. DirectoryService.framework is deprecated as of 10.6 and OpenDirectory.framework should be used instead.

OPEN SOURCE
The source code for dspluginhelperd is available as part of Apple's Darwin open source initiative. dspluginhelperd is part of the DirectoryService project. More information on Darwin may be found on the Web at

    http://developer.apple.com/darwin/projects/opendirectory/

DirectoryService API and Plug-in API are documented at

    http://developer.apple.com/referencelibrary/Networking/

The headers for the deprecated DirectoryService APIs can also be found in the following location:

    /System/Library/Frameworks/DirectoryService.framework/Headers/

FILES

/Library/DirectoryServices/PlugIns
    location of third party plugins

SEE ALSO
opendirectoryd(8), odutil(1), DirectoryServiceAttributes(7), dscl(1), dsmemberutil(1), dscacheutil(1), dseditgroup(8), dsenableroot(8), dserr(8), pwpolicy(8)